# VOTable Utility

VOTable utility converts data in VOTable format to other file-formats: FITS (processing), CSV (spreadsheet), plain text (processing), SVG (charts), XML (XUL).

## Command

`munipack votable [..] file`

## Description

VOTable file format is a kind of XML format. One is used as the primary data exchange format within Virtual Observatory. VOTable file is a text file with defined marks. The marks provides a tool for describe of a structure of data (tables, for example). VOTable format is designed for inter-process communication (in client — server model).

This routine is a converter between VOTable format provided by Virtual Observatory (XML with any defined structure) and another formats:

- The primary goal is conversion of VO catalogues to FITS tables
- Conversion to the plain text format can be very useful for any additional processing by using conventional tools (text editors, utilities like awk, etc.).
- Conversion to CSV format can be useful for users familiar with a spreadsheet-like utilities.
- VOTable as a XML can be easy converted to SVG (another XML based file format) for drawing. Specially, it is for drawing of star charts.

## Input And Output

On input, a single file is expected.

On output, a single file of various type is created.

## Parameters

`-pt`
  select projection: gnomonic
`-pa`
  Right Ascension of projection centre [deg]
`-pd`
  Declination of projection centre [deg]
`-pw`
  Canvas width [pix]
`-ph`
  Canvas height [pix]
`-ps`
  scale of projection [pix/deg]
`-ml`
  magnitude limit
`--col-mag`
  magnitude field key
`--col-ra`
  Right Ascension field key
`--col-dec`
  Declination field key
`--type`
  type of output file: fits,csv,txt,svg,xml

See Common options for input/output filenames.

## Examples

As a preparation step, download VOTable from Virtual Observatory (use cone search):

`$ munipack cone -c Hipparcos -o pleiades.xml -r 3 57 24`

A text table:

`$ munipack votable -o subaru.txt pleiades.xml`

FITS table:

    $ munipack votable -o subaru.fits  pleiades.xml
    $ xmunipack subaru.fits

CSV table:

    $ munipack votable -o pleiades.csv pleiades.xml
    $ gnumeric pleiades.csv

In GNUmeric

## See Also

Virtual Observatory, Star Charts, Common options